Subject: bug#31684: 12.1.1; Preview-DviPNG fails with filename having spaces (DviPS is used as fallback)

From: Ikumi Keita <[email-masked]>
Date: Fri, 08 Jun 2018 22:09:27 +0900

Hi Jean and all,

Thank you for confirmation.  I think this change is small and rather
safe, so I'll commit it as soon as I finish some documentation.

Regards,
Ikumi Keita

>>>>> jfbu <[email-masked]> writes:
>> .  They don't have quotes around %m except `preview-dvipng-command'.
>> Removing the quotes makes dvipng works with file name with space on my
>> side.
>> 
>> In addition, I noticed during test runs that single quotes in
>> `preview-dvipng-color-string' choke dvipng on w32 platform because
>> single quotes are not consumed by w32 shell (cmd.exe).
>> 
>> Could you please test the following patch?  (It is for preview.el.in in
>> the source files, not for preview.el.)

> I confirm problem is fixed at my locale for the MWE I posted initially:

> (mac os x 10.9.5)

> Here is transcript:

>> ...
>> (see the transcript file for additional information)
>> Output written on "abc def ghi.dvi" (1 page, 1584 bytes).
>> Transcript written on "abc def ghi.log".
>> 
>> TeX Output exited as expected with code 1 at Fri Jun  8 10:57:23
>> Running `Preview-DviPNG' with ``dvipng -picky -noghostscript abc\ def\ ghi.dvi -o abc\ def\ ghi.prv/tmpDOwfcQ/prev%03d.png  -D186 ''
>> This is dvipng (dvipng (TeX Live)) 1.15 Copyright 2002-2015 Jan-Ake Larsson
>> [1 (preview-latex version 12.1) (preview-latex tightpage option
>> detected, will use its bounding box)] 
>> 
>> Preview-DviPNG finished at Fri Jun  8 10:57:23

> My testing does not extend to that part of your patch dealing with options
> but I trust it does the right thing...